%
% (c) Copyright 2008, SimLab, All Rights Reserved.
% Joint Research Center of the European Commission
% This file is subject to the SimLab License
% You will find a copy of the license at:
% http://simlab.jrc.it/licenses
%

% =
gsaBegin
% distributions for the model inputs
addFacNorm('pressure',0,1,0.05,0.95,'Pascal')
addFacNorm('temperature',300,20,0.05,0.95,'Kelvin')
addFacNorm('moles',1.97,0.03,0.05,0.95,'moles')

%first argument = seed
%second argument = number of sample points
setMethodClassicFast(56477743,1500)

%create a 1500x3 sample matrix
sample = createSample;

%extract the number of sample points from the workspace
N=getNumSamples;

%model execution v=nRT/P;
R=0.082;
y=sample(:,3)*R.*sample(:,2)./sample(:,1);

%load model output to Simlab workplace
loadNamedModelOutput(N,1,{'volume'},y)

%estimate classic FAST indices
getFastFirst('volume','pressure')
getFastFirst('volume','temperature')
getFastFirst('volume','moles')

gsaEnd
